# ShopCommand (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.command

## Class ShopCommand

- java.lang.Object
- - de.epiceric.shopchest.command.ShopCommand

    public class ShopCommand
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ShopCommand(ShopChest plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSubCommand(ShopSubCommand subCommand)`
`org.bukkit.command.PluginCommand` `getCommand()`
`List<ShopSubCommand>` `getSubCommands()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShopCommand

    public ShopCommand(ShopChest plugin)

### Method Detail

#### getCommand

    public org.bukkit.command.PluginCommand getCommand()

#### addSubCommand

    public void addSubCommand(ShopSubCommand subCommand)

#### getSubCommands

    public List<ShopSubCommand> getSubCommands()